std::hash< __profile::bitset< _Nb > > Struct Template Reference

`#include <bitset>`

Inherits std::__hash_base< _Result, _Arg >.

## Public Types

typedef _Result result_type | _GLIBCXX17_DEPRECATED
typedef _Arg argument_type | _GLIBCXX17_DEPRECATED

## Public Member Functions

size_t | operator() (const __profile::bitset< _Nb > &__b) const noexcept

## Detailed Description

template<size_t _Nb>
struct std::hash< __profile::bitset< _Nb > >

std::hash specialization for bitset.

Definition at line 234 of file profile/bitset.

## Member Typedef Documentation

## _GLIBCXX17_DEPRECATED [1/2]

template<typename _Result , typename _Arg >

typedef _Result result_type std::__hash_base< _Result, _Arg >::_GLIBCXX17_DEPRECATED

inherited

Definition at line 52 of file functional_hash.h.

## _GLIBCXX17_DEPRECATED [2/2]

template<typename _Result , typename _Arg >

typedef _Arg argument_type std::__hash_base< _Result, _Arg >::_GLIBCXX17_DEPRECATED

inherited

Definition at line 53 of file functional_hash.h.

## Member Function Documentation

## operator()()

template<size_t _Nb>

size_t std::hash< __profile::bitset< _Nb > >::operator() | ( | const __profile::bitset< _Nb > & | __b | ) | const

inline noexcept

Definition at line 238 of file profile/bitset.

The documentation for this struct was generated from the following file:

- profile/bitset